/*******************************************************************
                      C O P Y R I G H T  (c) 1998
        F O C U S     A U T O M A T I O N   S Y S T E M S   I N C.
                          All Rights Reserved.
 -------------------------------------------------------------------

 keypad.h - Interface to the keypad Photon utility.

 -------------------------------------------------------------------
 *******************************************************************
 * $Source: $
 * $Date: $
 * $Revision: $
 *******************************************************************
*/

#ifndef __KEYPAD_H__
#define __KEYPAD_H__

#include <photon/PhT.h>

#define KEYPAD_AUTO_HIDE  Pt_TRUE

/* To have keypad disappear after the user presses 'enter', use
   show_keypad( KEYPAD_AUTO_HIDE ).  If you want keypad to hang
   around, use show_keypad( !KEYPAD_AUTO_HIDE ).

   You can use 'topleft' to specify the topleft position of the
   keypad window, or 'avoid' to specify an area to not cover on
   the screen (presumably the "extent" of the widget which will
   receive input from the keypad).  If you do not wish to use
   either topleft or avoid, pass in NULL.  If both values are
   NULL, keypad will place itself wherever it was last placed
   on the screen.
*/

int show_keypad( int auto_hide, PhPoint_t *topleft, PhRect_t *avoid );

int hide_keypad( void );

#endif

